> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List placement profiles

> Lists reusable, project-visible placement policies that control the regions where deployments may be scheduled.



## OpenAPI

````yaml GET /projects/{projectId}/placement-profiles
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/placement-profiles:
    get:
      tags:
        - PlacementProfileService
      summary: List placement profiles
      description: >-
        Lists reusable, project-visible placement policies that control the
        regions where deployments may be scheduled.
      operationId: PlacementProfileService_ListPlacementProfiles
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            description: Project identifier.
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            description: Maximum number of profiles to return. Max 500, defaults to 50.
        - name: after
          in: query
          schema:
            type: string
            description: Cursor from a previous placement profile list response.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DE.ListPlacementProfilesResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      servers:
        - url: https://api.together.ai/v2
components:
  schemas:
    DE.ListPlacementProfilesResponse:
      type: object
      description: Reusable deployment placement profiles visible to the project.
      required:
        - data
        - object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DE.PlacementProfile'
          description: Placement profiles visible in the project.
        next_cursor:
          type: string
          description: Cursor for the next page. Null if there are no more results.
        object:
          const: list
          description: Object type. Always `list`.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    DE.PlacementProfile:
      type: object
      required:
        - id
        - projectId
        - organizationId
        - name
        - preferredRegions
      properties:
        id:
          type: string
          description: Unique placement profile identifier.
        projectId:
          type: string
          description: Project that owns the placement profile.
        organizationId:
          type: string
          description: Organization that owns the placement profile.
        name:
          type: string
          description: Human-readable placement profile name.
        preferredRegions:
          type: array
          items:
            type: string
          description: Preferred deployment regions in descending priority order.
      description: >-
        Reusable ordered region preferences for scheduling a project's
        deployments.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````